<template>
  <div class="bg-gray-3 bg-linen p-md-5 pt-2 pb-5 section-border-top mt-md-5">
    <div class="container text-center">
      <div
        class="h2 d-flex align-items-center flex-column flex-md-row justify-content-md-center"
      >
        <div class="text-uppercase">{{ $t('index.wiki.title') }}</div>
        <div class="ml-md-4 font-medium">
          <a :href="'https://' + $i18n.locale + '.wiki.ryzom.com'">{{
            $t('index.wiki.visit')
          }}</a>
        </div>
      </div>
      <div>
        <span v-for="link in getWikiLinks" :key="link.id">
          <a :href="link.url" class="m-2 text-secondary"
            ><span class="text-nowrap">{{ link.title }}</span> </a
          >&nbsp;
        </span>
      </div>
    </div>
  </div>
</template>

<script>
import { mapGetters } from 'vuex';
export default {
  computed: {
    ...mapGetters('wiki', ['getWikiLinks', 'getWikiLinksLoadingStatus']),
    displayLanguage() {
      return this.$i18n.locale;
    },
  },
  watch: {
    displayLanguage: {
      handler() {
        this.loadWikiLinks();
      },
    },
  },
  mounted() {
    if (!this.getWikiLinksLoadingStatus || this.$i18n.locale !== 'en') {
      this.loadWikiLinks();
    }
  },
  methods: {
    async loadWikiLinks() {
      await this.$store.dispatch('wiki/loadWikiLinks', {
        displayLanguage: this.displayLanguage,
      });
    },
  },
};
</script>
